# Transliterator::listIDs

# transliterator_list_ids

(PHP 5 >= 5.4.0, PHP 7, PECL intl >= 2.0.0)

Transliterator::listIDs -- transliterator_list_ids — Get transliterator IDs

### Description

Object oriented style

public static Transliterator::listIDs ( void ) : array

Procedural style

transliterator_list_ids ( void ) : array

Returns an array with the registered transliterator IDs.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

An array of registered transliterator IDs on success, or `FALSE` on failure.

### See Also

- Transliterator::getErrorMessage() - Get last error message
- Transliterator::transliterate() - Transliterate a string